В дефолтных репозиториях нет php5.4

Подключаем репозиторий REMI:

Теперь ставим через менеджер пакетов yum:

Непонятно почему в зависимостях стоит httpd, но выбирать не приходится.

Добавляем php-fpm в автозагрузку:

Прочтите также: